@echo off

set Title=Embedded Wizard Build Environment for %PlatformName% V13.03.00.00
title %Title%

echo *******************************************************************************
echo * Welcome to %Title%
echo *******************************************************************************
echo.

IF DEFINED BuildInitialized GOTO run

GOTO setpaths

:setpaths

:: set the path to make and its tools
set PATH=%~dp0\..\..\..\ThirdParty\Make;%PATH%

:: compiler path
set PATH=%XC32_PATH%\bin;%PATH%


set BuildInitialized=1

:run

:: do some checks

if not exist "%HARMONY_PATH%" (
  echo.
  echo Check for Microchip Harmony failed:
  echo Microchip Harmony package was not found on the expected path:
  echo.
  echo "%HARMONY_PATH_l%"
  echo.
  echo Please assure, that Microchip Harmony is installed and that the
  echo path to Harmony is set correctly in StartGccBuildEnvironment.bat
  echo.
  pause
  exit
)

if not exist "%XC32_PATH%" (
  echo.
  echo Check for Microchip XC32 Compiler failed:
  echo Microchip XC32 package was not found on the expected path:
  echo.
  echo "%XC32_PATH_l%"
  echo.
  echo Please assure, that Microchip XC32 is installed and that the
  echo path to XC32 is set correctly in StartGccBuildEnvironment.bat
  echo.
  pause
  exit
)

if not exist "%MPLABX_PATH%" (
  echo.
  echo Check for Microchip MPLAB X failed:
  echo Microchip MPLAB X was not found on the expected path:
  echo.
  echo "%MPLABX_PATH_l%"
  echo.
  echo Please assure, that Microchip MPLAB X is installed and that the
  echo path to MPLAB X is set correctly in StartGccBuildEnvironment.bat
  echo.
  pause
  exit
)


  echo.
  echo.
  echo All checks are passed!
  echo.



echo *******************************************************************************
echo.*
echo * HARMONY_PATH:  %HARMONY_PATH_l%
echo * XC32_PATH:     %XC32_PATH_l%
echo * MPLABX_PATH:   %MPLABX_PATH_l%
echo * Configuration: %Configuration%
echo * Programmer:    %ProgrammerHardware%
echo.*
echo *******************************************************************************
echo *
echo * Getting started with Embedded Wizard and %PlatformName% board:
echo *
echo * https://doc.embedded-wizard.de/%GettingStartedLink%
echo *
echo *******************************************************************************
echo.
echo.
echo Entering Embedded Wizard template project
echo.

cd Application\Project\GCC


